#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os
from setuptools import setup, find_packages

from sqrl import __author__, __version__


def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname), 'r').read()


authors = read('AUTHORS.md')
history = read('HISTORY.md')
licence = read('LICENSE.md')
readme = read('README.md')

requirements = read('requirements.txt').splitlines() + [
    'setuptools',
]

test_requirements = (
    read('requirements.txt').splitlines()
    + read('requirements-dev.txt').splitlines()[1:]
)

setup(
    name='django-sqrl-2',
    version=__version__,
    author=__author__,
    description='SQRL authentication support for Django',
    long_description='\n\n'.join([readme, history, authors, licence]),
    long_description_content_type='text/markdown',
    url='https://gitlub.com/WolfgangAxel/django-sqrl-2',
    license='MIT',
    packages=find_packages(exclude=['tests', 'tests.*']),
    install_requires=requirements,
    test_suite='tests',
    tests_require=test_requirements,
    keywords=' '.join([
        'django-sqrl',
        'django-sqrl-2',
        'sqrl'
    ]),
    classifiers=[
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Development Status :: 2 - Pre-Alpha',
    ],
    python_requires='>=3.7',
)
