# -*- coding: utf-8 -*-
from django.urls import path, re_path

from .views import (
    SQRLAuthView,
    SQRLCompleteRegistrationView,
    SQRLIdentityManagementView,
    SQRLLoginView,
    SQRLStatusView,
    AdminSiteSQRLIdentityManagementView
)

app_name = "sqrl"

urlpatterns = [
    path("auth/", SQRLAuthView.as_view(), name="auth"),
    path("login/", SQRLLoginView.as_view(), name="login"),
    path("manage/", SQRLIdentityManagementView.as_view(), name='manage'),
    path("register/", SQRLCompleteRegistrationView.as_view(), name='complete-registration'),
    re_path(r"^status/(?P<transaction>[A-Za-z0-9_-]{43})/$", SQRLStatusView.as_view(), name='status'),
    path('admin/sqrl_manage/', AdminSiteSQRLIdentityManagementView.as_view(), name='admin-sqrl_manage'),
]
