# -*- coding: utf-8 -*-

from django.urls import path, include
from django.contrib import admin
from django.contrib.auth import urls as auth_urlpatterns
from django.contrib.auth.views import LogoutView
from django.views.generic import TemplateView


urlpatterns = [
    path("", TemplateView.as_view(template_name='sqrl.html'), name='index'),
    path("admin/", admin.site.urls),
    path("sqrl/", include('sqrl.urls', namespace='sqrl')),
    path("logout/", LogoutView.as_view(), {'next_page': 'sqrl:login'}, name='logout'),
    # Doesn't this not work/break things?
    path("", include(auth_urlpatterns)),
]
